My Project

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Typedefs Groups Pages
Public Member Functions | List of all members
NexRadio Class Reference
Nextion Component

`#include <NexRadio.h>`

Inheritance diagram for NexRadio:

## Public Member Functions
| NexRadio (uint8_t pid, uint8_t cid, const char *name)
uint32_t | getValue (uint32_t *number)
bool | setValue (uint32_t number)
uint32_t | Get_background_color_bco (uint32_t *number)
bool | Set_background_color_bco (uint32_t number)
uint32_t | Get_font_color_pco (uint32_t *number)
bool | Set_font_color_pco (uint32_t number)
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
void | detachPush (void)
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
void | detachPop (void)
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
void | printObjInfo (void)

## Additional Inherited Members
Static Public Member Functions inherited from NexTouch
static void | iterate (NexTouch **list, uint8_t pid, uint8_t cid, int32_t event)
Protected Member Functions inherited from NexObject
uint8_t | getObjPid (void)
uint8_t | getObjCid (void)
const char * | getObjName (void)

## Detailed Description

NexRadio component.

Commonly, you want to do something after push and pop it. It is recommanded that only call NexTouch::attachPop to satisfy your purpose.

Warning
  Please do not call NexTouch::attachPush on this component, even though you can.

## Constructor & Destructor Documentation

NexRadio::NexRadio | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

## Member Function Documentation

uint32_t NexRadio::Get_background_color_bco | ( | uint32_t * | number | ) |

Get bco attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexRadio::Get_font_color_pco | ( | uint32_t * | number | ) |

Get pco attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexRadio::getValue | ( | uint32_t * | number | ) |

Get val attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

bool NexRadio::Set_background_color_bco | ( | uint32_t | number | ) |

Set bco attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexRadio::Set_font_color_pco | ( | uint32_t | number | ) |

Set pco attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexRadio::setValue | ( | uint32_t | number | ) |

Set val attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

The documentation for this class was generated from the following files:

- NexRadio.h
- NexRadio.cpp